/**
 * The contents of this file are subject to the OpenXML Public
 * License Version 1.0; you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.openxml.org/license/
 *
 * THIS SOFTWARE AND DOCUMENTATION IS PROVIDED ON AN "AS IS" BASIS
 * WITHOUT WARRANTY OF ANY KIND EITHER EXPRESSED OR IMPLIED,
 * INCLUDING AND WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE
 * AND DOCUMENTATION IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A
 * PARTICULAR PURPOSE OR NON-INFRINGING. SEE THE LICENSE FOR THE
 * SPECIFIC LANGUAGE GOVERNING RIGHTS AND LIMITATIONS UNDER THE
 * LICENSE.
 *
 * The Initial Developer of this code under the License is
 * OpenXML.org. Portions created by OpenXML.org and/or Assaf Arkin
 * are Copyright (C) 1998, 1999 OpenXML.org. All Rights Reserved.
 */


package org.openxml.x3p.processors;


import org.openxml.x3p.*;


/**
 * This class is not implemented yet, only provided as a test case.
 *
 *
 * @version $Revision: 1.1 $ $Date: 1999/03/30 06:37:45 $
 * @author <a href="mailto:arkin@trendline.co.il">Assaf Arkin</a>
 */
public class SSIEngineCreator
    implements ProcessorEngineCreator
{


    public ProcessorEngine createEngine( ProcessContext ctx )
    {
        PIEngineRegistry    registry;

        if ( _ssiEngine == null )
        {
            registry = new PIEngineRegistry();
            registry.registerPIEngine( "ssi:echo", EngineCreatorFromClass.fromClass( SSIEngine.class ) );
            registry.registerPIEngine( "ssi:set", EngineCreatorFromClass.fromClass( SSIEngine.class ) );
            registry.registerPIEngine( "ssi:include", EngineCreatorFromClass.fromClass( SSIEngine.class ) );
            _ssiEngine = registry.createEngine( ctx );
        }
        return _ssiEngine;
    }


    private ProcessorEngine     _ssiEngine;


}
